package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Cci;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CciMapper {

    int insert(Cci record);

    int insertSelective(Cci record);

    int updateByPrimaryKeySelective(Cci record);

    int updateByPrimaryKey(Cci record);

    int deleteByPrimaryKey(Cci record);

    int deleteByIds(Collection<Object> collection);

    Cci selectByPrimaryKey(Cci record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cci> dyncRead(Map<String,Object> dyncMap);

    Cci getCciByObjinrAndObjTyp(@Param("objinr") String objinr, @Param("objtyp") String objtyp);

}